travis ciを使って、CarthageのビルドチェックやReleaseにframework.zipを貼り付ける場合に、

before_install:
- brew update
- brew install carthage

といった感じに書くのですが、どうやら最近のtravis ciのbrew上には最初からCarthageが入っているらしく、
brew install carthageのところでコケてしまいます。
なので、brew install carthage を削除すればいい…のですが、必ずしもcarthageのバージョンが最新とも限らないので、以下のようにして、最新のものを使うようにします、

before_install:
- brew update
- brew unlink carthage
- brew install carthage

一度unlinkすれば、新しい物をダウンロードできるようです。